<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Projecte web compartit </title>
    <link rel="stylesheet" href="style.css">
  </head>
  <body>
    <div class="container">
      <h1>GIT</h1>
      <div class="intro">
        <h2>Introducció</h2>
        <p>Per començar, haurem de decidir a quina carpeta localitzar el nostre git. Per iniciarlo farem un "git init" desde la carpeta que volguem 
		crearlo. Ara ja tindrem creat el git, podem comprovar-ho fent un "ls -a" en el que podras veure la carpeta .git.
		Es recomenable introduir el teu email i username per poder començar a treballar en xarxa, la comanda serà "git config --global user.email "@email"" i
		"git config --global user.email "NOM"". Amb aixó ja fet podem conectar-nos al git que volem. Si necesitem afegir archius al git podem utiltzar la 
 		comanda "git add", despres podem fer el commit amb "git commit" i finalment fer un push amb "git push" per pujarlo al git. Si necesitem baixar archius
		podem utilitzar "git pull". Podem comprobar sempre l'estat amb "git status".
	 </p>
      </div>
      <div class="branches">
        <h2>Branques</h2>
        <p>Quan parlem de branques, ens referim que a partir de la branca principal de desenvolpament anomenada Master, continuem treballant en altres branques que no son la princial.
	 Cada vegada que fem un un commit Git guarda una serie d'instantànies del treball preparat.
	Després de fer l'add i el commit, tenim un arxiu, un arbre amb la llista de continguts del directori
	 i una confirmació de canvis.
	Una branca no és més que un apuntador a una d'aquestes confirmacions.
	Per crear una nova branca, per tant un nou apuntador: "$ git branch testing". Per saber a quina branca estas,
	mira l'apuntador "$ git checkout testing". Per modificar, per exemple aquest arxiu "$ git commit -a-m made a
	change. Per fusionar branques diferents "$git merge testing" i per eliminar "git branch -d testing".
									 </p>
      </div>
      <div class="remot">
        <h2>Remot</h2>
        <p>Els remots son uns repositoris al núvol que son necesaris tenim bastants git remots com <b>"GitHub"</b> o <b>"GitLab"</b> que es el que 
	utilitzarem per tenir copies de seguretat, Podem afegir un remot amb <b>"git remote add origin URL"</b> tambe linkarem les branques amb
	<b>"git branch --set-upstream master origin/master"</b><br> Ara si,si es vol treballar en un altre ordinador es tant simple com clonarlo per
	aixo s'utilitza un <b>"git clone URL"</b> Al fer cambis <b>"Git push"</b> i <b>"Git pull"</b>
	</p></div>
   </div>
  </body>
</html>
